const express = require('express');
const app = express();
var http = require('http').Server(app);
const port = process.env.PORT || 3333;
app.set("port", port);
var io = require('socket.io')(http);
const cookieParser = require('cookie-parser');
app.use(cookieParser());

app.use('/css', express.static(__dirname + '/node_modules/bootstrap/dist/css'));
app.use(express.static('public'));

const routes = require(__dirname + '/routes');
app.use("/", routes);

var server = http.listen(port, () => {
    console.log(`server is running on port ${server.address().port}`);
});

io.on('connection', (socket) => {
    socket.on('chat message', (msg) => {
        console.log(`message: ${msg}, id: ${socket.id}`);
    });
});

